
Redmine - Feature #4921

Project custom fields according project type

2010-02-24 16:28 - Felipe Campo

Status: New Start date: 2010-02-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When many project arrive, also comes the coincidences among them.

It means that I have created a Project type custom field so, I cant identify the kind of project, some times severel custom fields

doesnt apply to some kind of projects. For example some projects a support project need to identify , the first level and second leve

Service desk Engineers  but for a development project this is irrelevant.

I propose something like the permission report but for the project fields accordin to an enumeration called project type. Or a list of

types of proyects where applies as is implemented for the issue custom fields

Option 1 sample:  

Project Name Type 1 Type 2 Type 3

abc yes no yes

bcd no no yes

def no no yes

History

#1 - 2010-02-25 14:50 - Jean-Philippe Lang

- Category set to Custom fields

#2 - 2010-04-12 13:28 - Alexander Usikov

+1

Need this feature very much! Also we need to assign issue custom fields to the project type it belongs to.

We have a lot of types of projects. Each type use special issues with special custom fields. And we can't use custom fields and all it features because

they are system-wide.
